//===----------------------------------------------------------------------===//
//
// This source file is part of the SwiftNIO open source project
//
// Copyright (c) 2017-2018 Apple Inc. and the SwiftNIO project authors
// Licensed under Apache License v2.0
//
// See LICENSE.txt for license information
// See CONTRIBUTORS.txt for the list of SwiftNIO project authors
//
// SPDX-License-Identifier: Apache-2.0
//
//===----------------------------------------------------------------------===//
//
// EventLoopTest+XCTest.swift
//
import XCTest

///
/// NOTE: This file was generated by generate_linux_tests.rb
///
/// Do NOT edit this file directly as it will be regenerated automatically when needed.
///

extension EventLoopTest {

   static var allTests : [(String, (EventLoopTest) -> () throws -> Void)] {
      return [
                ("testSchedule", testSchedule),
                ("testScheduleWithDelay", testScheduleWithDelay),
                ("testScheduleCancelled", testScheduleCancelled),
                ("testScheduleRepeatedTask", testScheduleRepeatedTask),
                ("testScheduledTaskThatIsImmediatelyCancelledNeverFires", testScheduledTaskThatIsImmediatelyCancelledNeverFires),
                ("testRepeatedTaskThatIsImmediatelyCancelledNeverFires", testRepeatedTaskThatIsImmediatelyCancelledNeverFires),
                ("testScheduleRepeatedTaskCancelFromDifferentThread", testScheduleRepeatedTaskCancelFromDifferentThread),
                ("testScheduleRepeatedTaskToNotRetainRepeatedTask", testScheduleRepeatedTaskToNotRetainRepeatedTask),
                ("testScheduleRepeatedTaskToNotRetainEventLoop", testScheduleRepeatedTaskToNotRetainEventLoop),
                ("testScheduledRepeatedAsyncTask", testScheduledRepeatedAsyncTask),
                ("testEventLoopGroupMakeIterator", testEventLoopGroupMakeIterator),
                ("testEventLoopMakeIterator", testEventLoopMakeIterator),
                ("testMultipleShutdown", testMultipleShutdown),
                ("testShuttingDownFailsRegistration", testShuttingDownFailsRegistration),
                ("testEventLoopThreads", testEventLoopThreads),
                ("testEventLoopPinned", testEventLoopPinned),
                ("testEventLoopPinnedCPUIdsConstructor", testEventLoopPinnedCPUIdsConstructor),
                ("testCurrentEventLoop", testCurrentEventLoop),
                ("testShutdownWhileScheduledTasksNotReady", testShutdownWhileScheduledTasksNotReady),
                ("testCloseFutureNotifiedBeforeUnblock", testCloseFutureNotifiedBeforeUnblock),
                ("testScheduleMultipleTasks", testScheduleMultipleTasks),
                ("testRepeatedTaskThatIsImmediatelyCancelledNotifies", testRepeatedTaskThatIsImmediatelyCancelledNotifies),
                ("testRepeatedTaskThatIsCancelledAfterRunningAtLeastTwiceNotifies", testRepeatedTaskThatIsCancelledAfterRunningAtLeastTwiceNotifies),
                ("testRepeatedTaskThatCancelsItselfNotifiesOnlyWhenFinished", testRepeatedTaskThatCancelsItselfNotifiesOnlyWhenFinished),
                ("testAndAllCompleteWithZeroFutures", testAndAllCompleteWithZeroFutures),
                ("testAndAllSucceedWithZeroFutures", testAndAllSucceedWithZeroFutures),
                ("testCancelledScheduledTasksDoNotHoldOnToRunClosure", testCancelledScheduledTasksDoNotHoldOnToRunClosure),
           ]
   }
}

